%define name libgweather
%define version 2.30.3
%define release %mkrel 1
%define major 1
%define libname %mklibname gweather %major
%define develname %mklibname -d gweather
%define olddevelname %mklibname -d gnome-applets

Summary: GNOME Weather applet library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: GPLv2+
Group: System/Libraries
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libsoup-devel
BuildRequires: gtk+2-devel
BuildRequires: libGConf2-devel
BuildRequires: intltool
BuildRequires: libxml2-utils
#gw libtool dep:
BuildRequires: dbus-glib-devel

%description
This is a library to provide Weather data to the GNOME panel applet.

%package -n %libname
Group: System/Libraries
Summary: GNOME Weather applet library
Requires: %name >= %version

%description -n %libname
This is a library to provide Weather data to the GNOME panel applet.

%package -n %develname
Group: Development/C
Summary: GNOME Weather applet library
Requires: %libname = %version
Provides: %name-devel = %version-%release
Obsoletes: %olddevelname < 2.21.3

%description -n %develname
This is a library to provide Weather data to the GNOME panel applet.

%prep
%setup -q

%build
%configure2_5x
%make 

%install
rm -rf %{buildroot} %name.lang
%makeinstall_std
%find_lang %name
for xmlfile in  %buildroot%_datadir/%name/Locations.*.xml; do
echo "%lang($(basename $xmlfile|sed -e s/Locations.// -e s/.xml//)) $(echo $xmlfile | sed s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf %{buildroot}

%post
%post_install_gconf_schemas gweather
%preun
%preun_uninstall_gconf_schemas gweather


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS
%_sysconfdir/gconf/schemas/gweather.schemas
%dir %_datadir/%name
%_datadir/%name/locations.dtd
%_datadir/%name/Locations.xml
%_datadir/icons/gnome/*/status/weather*

%files -n %libname
%defattr(-, root, root)
%_libdir/libgweather.so.%{major}*

%files -n %develname
%defattr(-, root, root)
%doc ChangeLog
%attr(644,root,root) %_libdir/lib*a
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_includedir/*
%_datadir/gtk-doc/html/%name




%changelog
* Sun Jan 16 2011 pterjan <pterjan> 2.30.3-1.mga1
+ Revision: 20498
- Drop obsolete scriptlets and conflict
- imported package libgweather


* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.30.3-1mdv2011.0
+ Revision: 581332
- update to new version 2.30.3

* Mon Aug 09 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-2mdv2011.0
+ Revision: 568174
- rebuild for new libproxy

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 550673
- update to new version 2.30.2

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528968
- update to new version 2.30.0

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 516912
- update to new version 2.29.92

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 510001
- update to new version 2.29.91

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 502727
- update to new version 2.29.90

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 489571
- update to new version 2.29.5

* Mon Dec 21 2009 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 480552
- new version
- add icons

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446953
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437264
- update to new version 2.27.92

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 421109
- update to new version 2.27.91

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 2.26.2.1-1mdv2010.0
+ Revision: 390830
- update build deps
- update to new version 2.26.2.1

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366936
- update to new version 2.26.1

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356308
- update to new version 2.26.0

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 348027
- update to new version 2.25.92

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341214
- update to new version 2.25.91

  + Frederic Crozat <fcrozat@mandriva.com>
    - really remove patch0

* Thu Feb 12 2009 Frederic Crozat <fcrozat@mandriva.com> 2.25.5-2mdv2009.1
+ Revision: 339764
- Remove patch0, already fixed upstream differently

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 331538
- update to new version 2.25.5

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325245
- update to new version 2.25.4

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315914
- update to new version 2.25.3

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-2mdv2009.1
+ Revision: 309150
- rebuild to get rid of libtasn1 dep

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 309072
- new version
- update file list

* Tue Nov 25 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 306619
- fix build deps
- update to new version 2.24.2

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.24.1-2mdv2009.1
+ Revision: 301415
- rebuilt against new libxcb

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 296484
- new version
- update to new version 2.24.1

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287297
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282820
- new version

* Tue Sep 02 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278810
- new version

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263735
- new version

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 241959
- new version
- rediff the patch
- update build deps

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 230988
- new version

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 230201
- new version
- update license
- update buildrequires

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211655
- new version
- fix build

* Wed Apr 16 2008 Götz Waschk <waschk@mandriva.org> 2.22.1.2-1mdv2009.0
+ Revision: 194562
- disable parallel make
- fix buildrequires
- new version
- add localized xml files

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1.1-1mdv2009.0
+ Revision: 192483
- new version
- new major

* Tue Mar 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 188529
- Patch0: fix libgweather when using non-UTF8 locale

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 185054
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175481
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 151702
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 151144
- import libgweather


* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
- initial package
